Bug 1107704 - All OS Mirrors are Shown in the Dropdown list
Summary: All OS Mirrors are Shown in the Dropdown list
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:54 UTC by Bryan Kearney
Modified: 2016-04-22 16:12 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:28:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5660 None None None 2016-04-22 16:12 UTC

Description Bryan Kearney 2014-06-10 12:54:08 UTC
Due to taxonomy scope override...

  @operatingsystem.media.with_taxonomy_scope_override(@location,@organization)

Comment 1 Bryan Kearney 2014-06-10 12:54:10 UTC
Created from redmine issue http://projects.theforeman.org/issues/5660

Comment 2 Bryan Kearney 2014-06-10 13:04:39 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5660 has been closed

Comment 5 Kedar Bidarkar 2014-08-14 07:04:48 UTC
@stbenjam: Please provide verification steps, currently not sure what exactly needs to be verified here.

Comment 6 Stephen Benjamin 2014-08-21 12:14:05 UTC
1) Create a new OS manually in Satellite other than RHEL.  For example, create Ubuntu 14.04 and select the Ubuntu Software Mirror

2) Go to the new host form, and go through selecting an OS manually (Ubuntu 14.04)

3) You should only see the Ubuntu 14.04 mirror in the 'Media' list and not any of the RHEL ones.

Previously, it showed everything.

Comment 7 Kedar Bidarkar 2014-08-21 15:44:07 UTC
Tested with Sat6-GA-snap5


As mentioned above in comment6, we now only see the "Ubuntu Mirror" in the "Media" list and not any other RHEL mirrors.

Comment 8 Kedar Bidarkar 2014-08-21 15:47:00 UTC
I just realized, that I need to wait until I move to sat6-GA-snap6 which has the fix for this https://bugzilla.redhat.com/show_bug.cgi?id=1130577

Comment 9 Kedar Bidarkar 2014-08-22 11:05:28 UTC
Tested with sat6-GA-snap6 

we now only see the "Ubuntu Mirror" in the "Media" list and not any other RHEL mirrors.



Installed Packages

    candlepin-0.9.23-1.el6_5.noarch
    candlepin-common-1.0.1-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.23-1.el6_5.noarch
    candlepin-tomcat6-0.9.23-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-6.el6sat.noarch
    katello-1.5.0-29.el6sat.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-default-ca-1.0-1.noarch
    katello-installer-0.0.60-1.el6sat.noarch
    katello-server-ca-1.0-1.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-37.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-37.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-85.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch
    rubygem-smart_proxy_pulp-1.0.1-1.1.el6sat.noarch

Comment 10 Bryan Kearney 2014-09-11 12:28:53 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.